Update an agent

Base URL
https://{kibana_url}
  • PUT /api/agent_builder/agents/{id}
Auth

Update an existing agent configuration. Use this endpoint to modify any aspect of the agent's behavior, appearance, or capabilities. To learn more about agents, refer to the agents documentation.

Required authorization

Privileges agentBuilder:manageAgents

Path parameters

id string required

The unique identifier of the agent to update.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

access_control object
access_mode enum required

Technical Preview; added in 9.4.0. Access-control mode: public (any privileged user can read/write), shared (any privileged user can read, only owner can write), private (only owner can read/write). Agents created without an access-control mode default to private.

Values: public shared private
avatar_color string

Updated hex color code for the agent avatar.

avatar_symbol string

Updated symbol/initials for the agent avatar.

configuration object

Updated configuration settings for the agent.

ai_indices string[] · max items: 100

Array of AI indices to associate with the agent.

connector_ids string[] · max items: 100

Array of connector IDs to associate with the agent.

enable_elastic_capabilities boolean

When true, enables built-in Elastic capabilities for the agent.

instructions string

Updated system instructions that define the agent behavior.

plugin_ids string[] · max items: 100

Array of plugin IDs to assign to the agent.

post_execution_workflow_ids string[] · max items: 100
skill_ids string[] · max items: 100

Array of skill IDs to be available to the agent.

subagent_ids string[] · max items: 50

Technical Preview; added in 9.6.0. Allowlist of subagent IDs this agent may spawn. Missing or empty disables the run_subagent tool. Use '_self' to enable self-fork.

tools object[]
tool_ids string[] required

Array of tool IDs that the agent can use.

workflow_ids string[] · max items: 100
description string

Updated description of what the agent does.

labels string[]

Updated labels for categorizing and organizing agents.

name string

Updated display name for the agent.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}